Skip to main content
GET
Player stats

Authorizations

X-Api-Key
string
header
required

Path Parameters

id
integer
required

Numeric ID of the player to get player stats for

Query Parameters

fields
enum<string>[]

Specify custom response with available response fields.


Fields included as default: id, playerAge, season, statsType, status, team, teamName, teamSlug, teamLogo, teamLogoUrl, league, leagueName, leagueFullName, leagueType, jerseyNumber, playerRole, contractType, regularStats, postseasonType, postseasonName, postseasonStats, totalStats, statsProvider, clubTeamPlayerStats, coaches, isActiveSeason, updatedAt

Available options:
id,
playerAge,
season,
statsType,
status,
team,
teamName,
teamSlug,
teamLogo,
teamLogoUrl,
league,
leagueName,
leagueFullName,
leagueType,
jerseyNumber,
playerRole,
contractType,
regularStats,
postseasonType,
postseasonName,
postseasonStats,
totalStats,
statsProvider,
clubTeamPlayerStats,
coaches,
isActiveSeason,
updatedAt,
season.*,
team.*,
teamLogo.*,
league.*,
regularStats.*,
postseasonStats.*,
totalStats.*,
statsProvider.*,
clubTeamPlayerStats.*,
coaches.*,
*
offset
integer
default:0

The number of items to skip before starting to collect the result set.

Required range: x >= 0
limit
integer
default:100

The number of items to return.

Required range: 0 <= x <= 1000
sort
enum<string>[]

Sort results by field name. Prefix with - for descending order (e.g., -name).

Available options:
id,
-id,
jerseyNumber,
-jerseyNumber,
playerRole,
-playerRole,
team,
-team,
teamName,
-teamName,
league,
-league,
leagueName,
-leagueName,
leagueType,
-leagueType,
season,
-season,
clubTeamPlayerStats.league,
-clubTeamPlayerStats.league,
regularStats.GD,
-regularStats.GD,
regularStats.GP,
-regularStats.GP,
regularStats.G,
-regularStats.G,
regularStats.A,
-regularStats.A,
regularStats.PTS,
-regularStats.PTS,
regularStats.PIM,
-regularStats.PIM,
regularStats.PM,
-regularStats.PM,
regularStats.PPG,
-regularStats.PPG,
regularStats.SA,
-regularStats.SA,
regularStats.GA,
-regularStats.GA,
regularStats.GAA,
-regularStats.GAA,
regularStats.SVS,
-regularStats.SVS,
regularStats.SVP,
-regularStats.SVP,
regularStats.SO,
-regularStats.SO,
regularStats.W,
-regularStats.W,
regularStats.L,
-regularStats.L,
regularStats.T,
-regularStats.T,
regularStats.TOI,
-regularStats.TOI,
postseasonStats.GD,
-postseasonStats.GD,
postseasonStats.GP,
-postseasonStats.GP,
postseasonStats.G,
-postseasonStats.G,
postseasonStats.A,
-postseasonStats.A,
postseasonStats.PTS,
-postseasonStats.PTS,
postseasonStats.PIM,
-postseasonStats.PIM,
postseasonStats.PM,
-postseasonStats.PM,
postseasonStats.PPG,
-postseasonStats.PPG,
postseasonStats.SA,
-postseasonStats.SA,
postseasonStats.GA,
-postseasonStats.GA,
postseasonStats.GAA,
-postseasonStats.GAA,
postseasonStats.SVS,
-postseasonStats.SVS,
postseasonStats.SVP,
-postseasonStats.SVP,
postseasonStats.SO,
-postseasonStats.SO,
postseasonStats.W,
-postseasonStats.W,
postseasonStats.L,
-postseasonStats.L,
postseasonStats.T,
-postseasonStats.T,
postseasonStats.TOI,
-postseasonStats.TOI,
totalStats.GD,
-totalStats.GD,
totalStats.GP,
-totalStats.GP,
totalStats.G,
-totalStats.G,
totalStats.A,
-totalStats.A,
totalStats.PTS,
-totalStats.PTS,
totalStats.PIM,
-totalStats.PIM,
totalStats.PM,
-totalStats.PM,
totalStats.PPG,
-totalStats.PPG,
totalStats.SA,
-totalStats.SA,
totalStats.GA,
-totalStats.GA,
totalStats.GAA,
-totalStats.GAA,
totalStats.SVS,
-totalStats.SVS,
totalStats.SVP,
-totalStats.SVP,
totalStats.SO,
-totalStats.SO,
totalStats.W,
-totalStats.W,
totalStats.L,
-totalStats.L,
totalStats.T,
-totalStats.T,
totalStats.TOI,
-totalStats.TOI,
coaches.headCoaches,
-coaches.headCoaches,
coaches.assistantCoaches,
-coaches.assistantCoaches,
coaches.goaltendingCoaches,
-coaches.goaltendingCoaches,
updatedAt,
-updatedAt
id
integer[]

Filter by id

id:gt
integer

Filter by id greater than

statsType
enum<string>[]

Filter by statsType

Available options:
default,
projected
status
enum<string>

Filter by status

Available options:
rostered,
not-active-on-team,
not-active
status:not
enum<string>

Filter by status not equal to

Available options:
rostered,
not-active-on-team,
not-active
status:onlyForCurrentSeason
enum<string>

Filter by status only for current season

Available options:
rostered,
not-active-on-team,
not-active
league
string[]

Filter by league slug

league:not
string[]

Filter by league slug not equal to

leagueType
enum<string> | null

Filter by leagueType

Available options:
league,
cup,
null
leagueType:not
enum<string> | null

Filter by leagueType not equal to

Available options:
league,
cup,
null
season
string

Filter by season slug

season:not
string

Filter by season slug not equal to

season:from
string

Filter by season slug greater or equal to

season:to
string

Filter by season slug less than or equal to

postseasonType
string

Filter by postseasonType slug

postseasonType:hasContent
boolean

Filter by postseasonType slug has content

team
integer[]

Filter by team ID

team:not
integer[]

Filter by team ID not equal to

team.teamType
enum<string>

Filter by team.teamType

Available options:
club,
international
team.country
string[]

Filter by team.country slug in ISO 3166-1 alpha-3

team.country:not
string[]

Filter by team.country slug not equal to in ISO 3166-1 alpha-3

team.continent
enum<string> | null

Filter by team.continent

Available options:
INT,
AF,
AN,
AS,
EU,
NA,
OC,
SA,
null
playerRole
enum<string> | null

Filter by playerRole

Available options:
C,
A,
null
playerRole:hasContent
boolean

Filter by playerRole has content

regularStats.GD:min
integer

Filter by regularStats.GD greater or equal to

regularStats.GD:max
integer

Filter by regularStats.GD less than or equal to

regularStats.GP:min
integer

Filter by regularStats.GP greater or equal to

regularStats.GP:max
integer

Filter by regularStats.GP less than or equal to

regularStats.G:min
integer

Filter by regularStats.G greater or equal to

regularStats.G:max
integer

Filter by regularStats.G less than or equal to

regularStats.A:min
integer

Filter by regularStats.A greater or equal to

regularStats.A:max
integer

Filter by regularStats.A less than or equal to

regularStats.PTS:min
integer

Filter by regularStats.PTS greater or equal to

regularStats.PTS:max
integer

Filter by regularStats.PTS less than or equal to

regularStats.PPG:min
number<float>

Filter by regularStats.PPG greater or equal to in float

regularStats.PPG:max
number<float>

Filter by regularStats.PPG less than or equal to in float

regularStats.PIM:min
integer

Filter by regularStats.PIM greater or equal to

regularStats.PIM:max
integer

Filter by regularStats.PIM less than or equal to

regularStats.PM:min
integer

Filter by regularStats.PM greater or equal to

regularStats.PM:max
integer

Filter by regularStats.PM less than or equal to

regularStats.SA:min
integer

Filter by regularStats.SA greater or equal to

regularStats.SA:max
integer

Filter by regularStats.SA less than or equal to

regularStats.GA:min
integer

Filter by regularStats.GA greater or equal to

regularStats.GA:max
integer

Filter by regularStats.GA less than or equal to

regularStats.GAA:min
integer<float>

Filter by regularStats.GAA greater or equal to in float

regularStats.GAA:max
number<float>

Filter by regularStats.GAA less than or equal to in float

regularStats.SVS:min
integer

Filter by regularStats.SVS greater or equal to

regularStats.SVS:max
integer

Filter by regularStats.SVS less than or equal to

regularStats.SVP:min
integer<float>

Filter by regularStats.SVP greater or equal to in float

regularStats.SVP:max
number<float>

Filter by regularStats.SVP less than or equal to in float

regularStats.SO:min
integer

Filter by regularStats.SO greater or equal to

regularStats.SO:max
integer

Filter by regularStats.SO less than or equal to

regularStats.W:min
integer

Filter by regularStats.W greater or equal to

regularStats.W:max
integer

Filter by regularStats.W less than or equal to

regularStats.L:min
integer

Filter by regularStats.L greater or equal to

regularStats.L:max
integer

Filter by regularStats.L less than or equal to

regularStats.T:min
integer

Filter by regularStats.T greater or equal to

regularStats.T:max
integer

Filter by regularStats.T less than or equal to

regularStats.TOI:min
string<m:ss>

Filter by regularStats.TOI greater or equal to in m:ss

regularStats.TOI:max
string<m:ss>

Filter by regularStats.TOI less than or equal to in m:ss

postseasonStats.GD:min
integer

Filter by postseasonStats.GD greater or equal to

postseasonStats.GD:max
integer

Filter by postseasonStats.GD less than or equal to

postseasonStats.GP:min
integer

Filter by postseasonStats.GP greater or equal to

postseasonStats.GP:max
integer

Filter by postseasonStats.GP less than or equal to

postseasonStats.G:min
integer

Filter by postseasonStats.G greater or equal to

postseasonStats.G:max
integer

Filter by postseasonStats.G less than or equal to

postseasonStats.A:min
integer

Filter by postseasonStats.A greater or equal to

postseasonStats.A:max
integer

Filter by postseasonStats.A less than or equal to

postseasonStats.PTS:min
integer

Filter by postseasonStats.PTS greater or equal to

postseasonStats.PTS:max
integer

Filter by postseasonStats.PTS less than or equal to

postseasonStats.PPG:min
number<float>

Filter by postseasonStats.PPG greater or equal to in float

postseasonStats.PPG:max
number<float>

Filter by postseasonStats.PPG less than or equal to in float

postseasonStats.PIM:min
integer

Filter by postseasonStats.PIM greater or equal to

postseasonStats.PIM:max
integer

Filter by postseasonStats.PIM less than or equal to

postseasonStats.PM:min
integer

Filter by postseasonStats.PM greater or equal to

postseasonStats.PM:max
integer

Filter by postseasonStats.PM less than or equal to

postseasonStats.SA:min
integer

Filter by postseasonStats.SA greater or equal to

postseasonStats.SA:max
integer

Filter by postseasonStats.SA less than or equal to

postseasonStats.GA:min
integer

Filter by postseasonStats.GA greater or equal to

postseasonStats.GA:max
integer

Filter by postseasonStats.GA less than or equal to

postseasonStats.GAA:min
integer<float>

Filter by postseasonStats.GAA greater or equal to in float

postseasonStats.GAA:max
number<float>

Filter by postseasonStats.GAA less than or equal to in float

postseasonStats.SVS:min
integer

Filter by postseasonStats.SVS greater or equal to

postseasonStats.SVS:max
integer

Filter by postseasonStats.SVS less than or equal to

postseasonStats.SVP:min
integer<float>

Filter by postseasonStats.SVP greater or equal to in float

postseasonStats.SVP:max
number<float>

Filter by postseasonStats.SVP less than or equal to in float

postseasonStats.SO:min
integer

Filter by postseasonStats.SO greater or equal to

postseasonStats.SO:max
integer

Filter by postseasonStats.SO less than or equal to

postseasonStats.W:min
integer

Filter by postseasonStats.W greater or equal to

postseasonStats.W:max
integer

Filter by postseasonStats.W less than or equal to

postseasonStats.L:min
integer

Filter by postseasonStats.L greater or equal to

postseasonStats.L:max
integer

Filter by postseasonStats.L less than or equal to

postseasonStats.T:min
integer

Filter by postseasonStats.T greater or equal to

postseasonStats.T:max
integer

Filter by postseasonStats.T less than or equal to

postseasonStats.TOI:min
string<m:ss>

Filter by postseasonStats.TOI greater or equal to in m:ss

postseasonStats.TOI:max
string<m:ss>

Filter by postseasonStats.TOI less than or equal to in m:ss

totalStats.GD:min
integer

Filter by totalStats.GD greater or equal to

totalStats.GD:max
integer

Filter by totalStats.GD less than or equal to

totalStats.GP:min
integer

Filter by totalStats.GP greater or equal to

totalStats.GP:max
integer

Filter by totalStats.GP less than or equal to

totalStats.G:min
integer

Filter by totalStats.G greater or equal to

totalStats.G:max
integer

Filter by totalStats.G less than or equal to

totalStats.A:min
integer

Filter by totalStats.A greater or equal to

totalStats.A:max
integer

Filter by totalStats.A less than or equal to

totalStats.PTS:min
integer

Filter by totalStats.PTS greater or equal to

totalStats.PTS:max
integer

Filter by totalStats.PTS less than or equal to

totalStats.PPG:min
number<float>

Filter by totalStats.PPG greater or equal to in float

totalStats.PPG:max
number<float>

Filter by totalStats.PPG less than or equal to in float

totalStats.PIM:min
integer

Filter by totalStats.PIM greater or equal to

totalStats.PIM:max
integer

Filter by totalStats.PIM less than or equal to

totalStats.PM:min
integer

Filter by totalStats.PM greater or equal to

totalStats.PM:max
integer

Filter by totalStats.PM less than or equal to

totalStats.SA:min
integer

Filter by totalStats.SA greater or equal to

totalStats.SA:max
integer

Filter by totalStats.SA less than or equal to

totalStats.GA:min
integer

Filter by totalStats.GA greater or equal to

totalStats.GA:max
integer

Filter by totalStats.GA less than or equal to

totalStats.GAA:min
integer<float>

Filter by totalStats.GAA greater or equal to in float

totalStats.GAA:max
number<float>

Filter by totalStats.GAA less than or equal to in float

totalStats.SVS:min
integer

Filter by totalStats.SVS greater or equal to

totalStats.SVS:max
integer

Filter by totalStats.SVS less than or equal to

totalStats.SVP:min
integer<float>

Filter by totalStats.SVP greater or equal to in float

totalStats.SVP:max
number<float>

Filter by totalStats.SVP less than or equal to in float

totalStats.SO:min
integer

Filter by totalStats.SO greater or equal to

totalStats.SO:max
integer

Filter by totalStats.SO less than or equal to

totalStats.W:min
integer

Filter by totalStats.W greater or equal to

totalStats.W:max
integer

Filter by totalStats.W less than or equal to

totalStats.L:min
integer

Filter by totalStats.L greater or equal to

totalStats.L:max
integer

Filter by totalStats.L less than or equal to

totalStats.T:min
integer

Filter by totalStats.T greater or equal to

totalStats.T:max
integer

Filter by totalStats.T less than or equal to

totalStats.TOI:min
string<m:ss>

Filter by totalStats.TOI greater or equal to in m:ss

totalStats.TOI:max
string<m:ss>

Filter by totalStats.TOI less than or equal to in m:ss

updatedAt:min
string<date-time>

Filter by updatedAt greater or equal to in ISO-8601 format for date and time

Response

200 - application/json

Player stats, paginated.

_meta
object
data
object[]